<?php

require_once "../../maincore.php";
require_once THEMES."templates/header.php";

require_once INFUSIONS."ds_board_panel/infusion_db.php";

if (file_exists(INFUSIONS."ds_board_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."ds_board_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."ds_board_panel/locale/Russian.php";
}

function html2txt($boarddocument){
$boardsearch = array('@<script[^>]*?>.*?</script>@si',  // Strip out javascript
               '@<[\/\!]*?[^<>]*?>@si',            // Strip out HTML tags
               '@<style[^>]*?>.*?</style>@siU',    // Strip style tags properly
               '@<![\s\S]*?--[ \t\n\r]*>@',        // Strip multi-line comments including CDATA
			   '@\[.*\]@'
			   );
$textboard = preg_replace($boardsearch, '', $boarddocument);
return $textboard;
}

add_to_title($locale['global_200'].$locale['dsb_title']);

if (isset($_GET['ds_board_id']) && isnum($_GET['ds_board_id'])) {

   	$result = dbquery(
		"SELECT ta.*,tac.*, tu.user_id,user_name FROM ".DB_DS_BOARD." ta
		INNER JOIN ".DB_DS_BOARD_CATS." tac ON ta.ds_board_cat=tac.ds_board_cat_id
		LEFT JOIN ".DB_USERS." tu ON ta.ds_board_name=tu.user_id
		WHERE ".groupaccess('ds_board_cat_access')." AND ds_board_id='".$_GET['ds_board_id']."' AND ds_board_draft='0'"
	);
	if (dbrows($result)) {
		require_once INCLUDES."comments_include.php";
		require_once INCLUDES."ratings_include.php";
		$data = dbarray($result);
		if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
		if ($_GET['rowstart'] == 0) { $result = dbquery("UPDATE ".DB_DS_BOARD." SET ds_board_reads=ds_board_reads+1 WHERE ds_board_id='".$_GET['ds_board_id']."'"); }
		$ds_board = stripslashes($data['ds_board_snippet']);
		if (ereg('<--PAGEBREAK-->', $ds_board)) {
			$ds_board = explode("<--PAGEBREAK-->", $ds_board);
		} else {
			$ds_board = explode("<!-- pagebreak -->", $ds_board);
		}
		$pagecount = count($ds_board);
		$ds_board_subject = $data['ds_board_subject'];
		$ds_board_info = array(
			"ds_board_id" => $data['ds_board_id'],
			"user_id" => $data['user_id'],
			"user_name" => $data['user_name'],
			"ds_board_date" => $data['ds_board_datestamp'],
			"ds_board_article" => $data['ds_board_article'],
			"ds_board_email" => $data['ds_board_email'],
			"ds_board_tel" => $data['ds_board_tel'],
			"ds_board_valid_till" => $data['ds_board_valid_till'],
			"ds_board_breaks" => $data['ds_board_breaks'],
			"ds_board_comments" => dbcount("(comment_id)", DB_COMMENTS, "comment_type='B' AND comment_item_id='".$data['ds_board_id']."'"),
			"ds_board_reads" => $data['ds_board_reads'],
			"ds_board_allow_comments" => $data['ds_board_allow_comments']
		);
		if ($ds_board_info['ds_board_valid_till'] == 0) {
		$valid_till = $locale['dsb430'];
		} else {
		$valid_till = date("d.m.Y", $ds_board_info['ds_board_valid_till']);
		};
	add_to_title($locale['global_201'].$ds_board_subject);
        opentable($ds_board_subject);
        echo "<div class='floatfix'>".($ds_board_info['ds_board_breaks'] == "y" ? nl2br($ds_board[$_GET['rowstart']]) : $ds_board[$_GET['rowstart']])."</div>";
        closetable();
        opentable($locale['dsb457']);
        echo "<table><tr>";
        if ($ds_board_info['ds_board_article']) {echo "<td class='tbl'><b>".$locale['dsb435']."</b> ".$ds_board_info['ds_board_article']."</td>\n";}
	echo "<td class='tbl'><b>".$locale['dsb429']."</b> ".$valid_till."</td></tr><tr>\n";
	if ($ds_board_info['ds_board_email']) {echo "<td class='tbl'><b>".$locale['dsb436']."</b> ".hide_email($ds_board_info['ds_board_email'])."</td>\n";}
	if ($ds_board_info['ds_board_tel'])   {echo "<td class='tbl'><b>".$locale['dsb437']."</b> ".$ds_board_info['ds_board_tel']."</td>\n";}
	echo "</tr></table>\n";
	echo "<div align='center' class='news-footer'>";
	echo THEME_BULLET." ".$locale['global_070']."<a href='../../profile.php?lookup=".$ds_board_info['user_id']."'>".$ds_board_info['user_name']."</a>\n";
	echo $locale['global_071'].showdate("longdate", $ds_board_info['ds_board_date']);
	echo $ds_board_info['ds_board_allow_comments'] ? " &middot;\n" : "\n";
	if ($ds_board_info['ds_board_allow_comments']) {
	echo "<a href='ds_board.php?ds_board_id=".$ds_board_info['ds_board_id']."#comments'>".$ds_board_info['ds_board_comments'].($ds_board_info['ds_board_comments'] == 1 ? $locale['global_073b'] : $locale['global_073'])."</a> &middot;\n"; }
	echo $ds_board_info['ds_board_reads'].$locale['global_074']." &middot;\n";
	echo "<a href='ds_board_print.php?type=B&amp;item_id=".$ds_board_info['ds_board_id']."'><img src='".get_image("printer")."' alt='".$locale['global_075']."' style='vertical-align:middle;border:0;' /></a>\n";
        if (iADMIN) {
	echo " &middot; <a href='".INFUSIONS."ds_board_panel/ds_board_admin.php".$aidlink."&amp;action=edit&amp;ds_board_id=".$ds_board_info['ds_board_id']."'><img src='".get_image("edit")."' alt='".$locale['global_076']."' title='".$locale['global_076']."' style='vertical-align:middle;border:0;' /></a>\n"; }
	else { if (iMEMBER && ($data['ds_board_name'] == $userdata['user_id'])) {
	echo " &middot; <a href='".INFUSIONS."ds_board_panel/ds_board_submit.php?action=edit&amp;ds_board_id=".$ds_board_info['ds_board_id']."'><img src='".get_image("edit")."' alt='".$locale['global_076']."' title='".$locale['global_076']."' style='vertical-align:middle;border:0;' /></a>\n"; }}
	echo "</div>\n";
		if ($pagecount > 1) {
			echo "<div align='center' style='margin-top:5px;'>\n".makepagenav($_GET['rowstart'], 1, $pagecount, 3, FUSION_SELF."?ds_board_id=".$_GET['ds_board_id']."&amp;")."\n</div>\n";
		}
	closetable();
		if ($data['ds_board_allow_comments']) { showcomments("B", DB_DS_BOARD, "ds_board_id", $_GET['ds_board_id'], FUSION_SELF."?ds_board_id=".$_GET['ds_board_id']); }
		if ($data['ds_board_allow_ratings']) { showratings("B", $_GET['ds_board_id'], FUSION_SELF."?ds_board_id=".$_GET['ds_board_id']); }
	} else {
		redirect(FUSION_SELF);
	}
} elseif (!isset($_GET['cat_id']) || !isnum($_GET['cat_id'])) {
	opentable($locale['dsb_title']);
	echo "\n";
	$result = dbquery("SELECT * FROM ".DB_DS_BOARD_CATS." WHERE ".groupaccess('ds_board_cat_access')." ORDER BY ds_board_cat_name");
	$rows = dbrows($result);
	if ($rows) {
		$counter = 0; $columns = 2;
		echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
		while ($data = dbarray($result)) {
			if ($counter != 0 && ($counter % $columns == 0)) { echo "</tr>\n<tr>\n"; }
			$num = dbcount("(ds_board_cat)", DB_DS_BOARD, "ds_board_cat='".$data['ds_board_cat_id']."' AND ds_board_draft='0'");
			echo "<td valign='top' width='50%' class='tbl'><img src='".THEME."images/bullet.gif' alt=''> <a href='".FUSION_SELF."?cat_id=".$data['ds_board_cat_id']."'>".$data['ds_board_cat_name']."</a> <span class='small2'>($num)</span>";
			if ($data['ds_board_cat_description'] != "") { echo "<br />\n<span class='small'>".$data['ds_board_cat_description']."</span>"; }
			echo "</td>\n";
			$counter++;
		}
		echo "</tr>\n</table>\n";
	} else {
		echo "<div style='text-align:center'><br />\n".$locale['dsb210']."<br /><br />\n</div>\n";
	}
	echo "\n";
	closetable();
} else {
	$res = 0;
	$result = dbquery("SELECT * FROM ".DB_DS_BOARD_CATS." WHERE ds_board_cat_id='".$_GET['cat_id']."'");
	if (dbrows($result) != 0) {
		$cdata = dbarray($result);
		if (checkgroup($cdata['ds_board_cat_access'])) {
			$res = 1;
			add_to_title($locale['global_201'].$cdata['ds_board_cat_name']);
			opentable($locale['dsb_title'].": ".$cdata['ds_board_cat_name']);
			$rows = dbcount("(ds_board_id)", DB_DS_BOARD, "ds_board_cat='".$_GET['cat_id']."' AND ds_board_draft='0'");
			if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
			if ($rows != 0) {
				$result = dbquery(
					"SELECT ta.ds_board_id, ta.ds_board_subject, ta.ds_board_snippet, ta.ds_board_datestamp FROM ".DB_DS_BOARD." ta
					WHERE ds_board_cat='".$_GET['cat_id']."' AND ds_board_draft='0' ORDER BY ".$cdata['ds_board_cat_sorting']." LIMIT ".$_GET['rowstart'].",15"
				);
				$numrows = dbrows($result); $i = 1;
				while ($data = dbarray($result)) {
					if ($data['ds_board_datestamp'] + 604800 > time() + ($settings['timeoffset'] * 3600)) {
						$new = "&nbsp;<span class='small'>[".$locale['dsb232']."]</span>";
					} else {
						$new = "";
					}
					
					$data['ds_board_snippet'] = html2txt($data['ds_board_snippet']);
					$data['ds_board_snippet'] = trimlink($data['ds_board_snippet'], 300);
					echo "<table><img src='".THEME."images/bullet.gif' alt=''> <a href='".FUSION_SELF."?ds_board_id=".$data['ds_board_id']."'>".$data['ds_board_subject']."</a>$new<br />\n".stripslashes($data['ds_board_snippet'])."</table>\n";
				echo ($i != $numrows ? "<br /><br />\n" : "\n"); $i++;
				}
				closetable();
				if ($rows > 15) echo "<div align='center' style=';margin-top:5px;'>\n".makepagenav($_GET['rowstart'], 15, $rows, 3, FUSION_SELF."?cat_id=".$_GET['cat_id']."&amp;")."\n</div>\n";
			} else {
				echo "<div style='text-align:center'>".$locale['dsb210']."</div>\n";
				closetable();
			}
		}
	}
	if ($res == 0) { redirect("../../index.php"); }
}

require_once THEMES."templates/footer.php";
?>